/*
 * Copyright 2010-2016 Amazon.com, Inc. or its affiliates. All Rights
 * Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.amazonaws.services.ecs.model;

import com.amazonaws.AmazonServiceException;

/**
 * <p>
 * You cannot delete a cluster that contains services. You must first update the
 * service to reduce its desired task count to 0 and then delete the service.
 * For more information, see <a>UpdateService</a> and <a>DeleteService</a>.
 * </p>
 */
public class ClusterContainsServicesException extends AmazonServiceException {
    private static final long serialVersionUID = 1L;

    /**
     * Constructs a new ClusterContainsServicesException with the specified
     * error message.
     *
     * @param message
     *        Describes the error encountered.
     */
    public ClusterContainsServicesException(String message) {
        super(message);
    }

}